<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY pixman-download-http "https://www.cairographics.org/releases/pixman-&pixman-version;.tar.gz">
  <!ENTITY pixman-download-ftp  " ">
  <!ENTITY pixman-md5sum        "0825cd6bfc488d5177f2f013a06ef240">
  <!ENTITY pixman-size          "796 KB">
  <!ENTITY pixman-buildsize     "29 MB (With tests)">
  <!ENTITY pixman-time          "0.2 SBU (Using parallelism=4; with tests)">
]>

<sect1 id="pixman" xreflabel="Pixman-&pixman-version;">
  <?dbhtml filename="pixman.html"?>


  <title>Pixman-&pixman-version;</title>

  <indexterm zone="pixman">
    <primary sortas="a-Pixman">Pixman</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to Pixman</title>

    <para>
      The <application>Pixman</application> package contains a library that
      provides low-level pixel manipulation features such as image
      compositing and trapezoid rasterization.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&pixman-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&pixman-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &pixman-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &pixman-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &pixman-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &pixman-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">Pixman Dependencies</bridgehead>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="libpng"/> and
      <xref linkend="gtk3"/> (for tests and demos)
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of Pixman</title>

    <para>
      Install <application>Pixman</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
ninja</userinput></screen>

    <para>
      To test the results, issue: <command>ninja test</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directory</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libpixman-1.so
        </seg>
        <seg>
          /usr/include/pixman-1
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libpixman">
        <term><filename class="libraryfile">libpixman-1.so</filename></term>
        <listitem>
          <para>
            contains functions that provide low-level pixel manipulation
            features
          </para>
          <indexterm zone="pixman libpixman">
            <primary sortas="c-libpixman">libpixman-1.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
